<!doctype html>
<html>
<head>
    <title>Tor Weekly News — July 23rd, 2014 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Weekly News — July 23rd, 2014 | Tor Project">
    <meta property="og:description" content="Welcome to the twenty-ninth issue of Tor Weekly News in 2014, the weekly newsletter that covers...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-weekly-news-july-23rd-2014/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Weekly News — July 23rd, 2014
      </h1>
    <p class="meta">by lunar | July 23, 2014</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Welcome to the twenty-ninth issue of Tor Weekly News in 2014, the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-news" rel="nofollow">weekly newsletter</a> that covers what is happening in the Tor community.</p>

<h1>Tails 1.1 is out!</h1>

<p>Tails, the Debian-based live system that protects its users’ communications by ensuring they are all sent through the Tor network, has been updated. This <a href="https://tails.boum.org/news/version_1.1/" rel="nofollow">new 1.1 release</a> reminds Tails users of the <a href="https://tails.boum.org/contribute/relationship_with_upstream/" rel="nofollow">distribution’s roots in Debian</a>: Tails is now based on the current stable version of Debian, dubbed “Wheezy”.</p>

<p>This means that almost all software components have been updated. One noticeable example is the desktop environment. The user experience of the GNOME 3 in fallback mode should be similar to previous Tails versions, but things will look a bit differently than they used to.</p>

<p>One of the most keenly-awaited features of this new version is the support for UEFI firmware. Mac users now have only to <a href="https://tails.boum.org/doc/first_steps/start_tails/#usb-mac" rel="nofollow">press the Alt key</a> while booting their computer to start Tails from a DVD or USB stick. The same goes for owners of computers displaying “Windows 8” stickers. And, talking of Windows 8, the <a href="https://tails.boum.org/doc/first_steps/startup_options/windows_camouflage/" rel="nofollow">camouflage mode</a> has been updated to look more like it, instead of the now discontinued XP.</p>

<p>This new release also contains <a href="https://tails.boum.org/security/Numerous_security_holes_in_1.0.1" rel="nofollow">security fixes</a>, and minor tweaks over the previous versions.</p>

<p>Because of the newly-introduced support for UEFI and the amount of upgraded software, incremental upgrades will not be offered for Tails 1.1. A full upgrade is needed through the Tails Installer. The safest method for upgrading Tails sticks is to go through a freshly burned DVD. Be sure to have a look at the list of <a href="https://tails.boum.org/news/version_1.1/#index2h1" rel="nofollow">known issues</a> to learn about other oddities that might happen in the process.</p>

<h1>PETS 2014</h1>

<p>The fourteenth Privacy Enhancing Technologies Symposium was held in Amsterdam, Netherlands, July 16-18, 2014. A wide range of research in privacy enhancing technologies was presented, with many of relevance to Tor. Keynotes were given by Martin Ortlieb, Senior User Experience Researcher in Privacy at Google, and William Binney, a former NSA employee.</p>

<p>Some papers focusing on Tor include:</p>

<ul>
<li><a href="https://petsymposium.org/2014/papers/Winter.pdf" rel="nofollow">Spoiled Onions: Exposing Malicious Tor Exit Relays</a> by Philipp Winter, Richard Köwer, Martin Mulazzani, Markus Huber, Sebastian Schrittwieser, Stefan Lindskog, and Edgar Weippl</li>
<li><a href="https://petsymposium.org/2014/papers/Dingledine.pdf" rel="nofollow">One Fast Guard for Life (or 9 months)</a> by Roger Dingledine, Nicholas Hopper, George Kadianakis, and Nick Mathewson</li>
<li><a href="https://petsymposium.org/2014/papers/Jansen.pdf" rel="nofollow">From Onions to Shallots: Rewarding Tor Relays with TEARS</a> by Rob Jansen, Andrew Miller, Paul Syverson, and Bryan Ford</li>
<li><a href="https://petsymposium.org/2014/papers/Ghosh.pdf" rel="nofollow">A TorPath to TorCoin: Proof-of-Bandwidth Altcoins for Compensating Relays</a> by Mainak Ghosh, Miles Richardson, Bryan Ford, and Rob Jansen</li>
<li><a href="https://petsymposium.org/2014/papers/Thomas.pdf" rel="nofollow">Measuring the Leakage of Onion at the Root, A measurement of Tor’s .onion pseudo-top-level domain in the global domain name system</a> by Matthew Thomas and Aziz Mohaisen</li>
</ul>

<p>Also announced at PETS was the 2014 PET Award for Outstanding Research in Privacy Enhancing Technologies, for <a href="https://freedom-to-tinker.com/blog/shmat/a-scanner-darkly-protecting-user-privacy-from-perceptual-applications/" rel="nofollow">A Scanner Darkly: Protecting User Privacy From Perceptual Applications</a> by Suman Jana, Arvind Narayanan†, and Vitaly Shmatikov. The winner of the best student paper at PETS was <a href="https://petsymposium.org/2014/papers/Miller.pdf" rel="nofollow">I Know Why You Went to the Clinic: Risks and Realization of HTTPS Traffic Analysis</a> by Brad Miller, Ling Huang, A. D.  Joseph and J. D. Tygar .</p>

<p>Prior to PETS, there was a Tor meet-up which Moritz Bartl reported as a <a href="https://lists.torproject.org/pipermail/tor-talk/2014-July/033936.html" rel="nofollow">great success</a>. Hopefully there will also be such an event at the 2015 PETS, to be held in Philadelphia, US, in the week of June 29, 2015.</p>

<h1>Miscellaneous news</h1>

<p><a href="https://pypi.python.org/pypi/txtorcon" rel="nofollow">txtorcon</a>, the Tor control protocol implementation for the <a href="https://twistedmatrix.com/" rel="nofollow">Twisted framework</a>, received a <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007166.html" rel="nofollow">new minor release</a>. Version 0.10.1 fixes “a couple bugs introduced along with the endpoints feature in 0.10.0”.</p>

<p>Roger Dingledine <a href="https://blog.torproject.org/blog/recent-black-hat-2014-talk-cancellation" rel="nofollow">posted</a> an official reaction to the cancellation of a proposed talk at the upcoming Blackhat2014 conference dealing with possible deanonymization attacks on Tor users and hidden services.</p>

<p>Tor ships with a <a href="https://gitweb.torproject.org/tor.git/blob_plain/HEAD:/contrib/operator-tools/tor-exit-notice.html" rel="nofollow">sample webpage</a> that can be used by exit node operators to identify their system as such to anyone wishing to identify the source of Tor traffic. Operators most often copy and adapt this template to the local situation. Mick Morgan discovered than his version was <a href="https://lists.torproject.org/pipermail/tor-relays/2014-July/004982.html" rel="nofollow">out of sync</a> and contained broken links. “If other operators are similarly using a page based on the old template, they may wish to update”, Mick advised.</p>

<p>Michael Rogers, one of the developers of <a href="https://briarproject.org/" rel="nofollow">Briar</a>, <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007161.html" rel="nofollow">announced</a> a <a href="https://fulpool.org/cgi-bin/mailman/listinfo/hidden-services" rel="nofollow">new mailing list</a> for discussing peer-to-peer-based communication systems based on Tor hidden services. As Briar and other systems might be “running into similar issues”, a shared place to discuss them seemed worthwhile.</p>

<p>Karsten Loesing and Philipp Winter are <a href="https://blog.torproject.org/blog/looking-front-end-web-developers-network-status-websites-atlas-and-globe" rel="nofollow">looking for front-end web developers</a>: “We are looking for somebody to fork and extend one of the two main Tor network status websites <a href="https://atlas.torproject.org/" rel="nofollow">Atlas</a> or <a href="https://globe.torproject.org/" rel="nofollow">Globe</a>” writes Karsten. Both websites currently need love and new maintainers. Please reach out if you want to help!</p>

<p>The database which holds Tor bridges, usually called <a href="https://gitweb.torproject.org/bridgedb.git" rel="nofollow">BridgeDB</a>, is able to give out bridge addresses through email. This feature was recently extended to make the email autoresponder support more bridge types, which required introducing new keywords that must be used in the initial request. Matthew Finkel is looking for <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007164.html" rel="nofollow">feedback</a> on the current set of commands and how they could be improved.</p>

<p>Lunar wrote a <a href="https://lists.torproject.org/pipermail/tor-reports/2014-July/000593.html" rel="nofollow">detailed report</a> on his week at the Libre Software Meeting in Montpellier, France. The report covers the booth jointly held with <a href="https://nos-oignons.net/" rel="nofollow">Nos Oignons</a>, his talk in the security track, and several contacts made with other free software projects.</p>

<p>Here’s another round of reports from Google Summer of Code students: the mid-term: Amogh Pradeep on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007152.html" rel="nofollow">Orbot and Orfox improvements</a>, Israel Leiva on the <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007156.html" rel="nofollow">GetTor revamp</a>, Quinn Jarrell on the <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007157.html" rel="nofollow">pluggable transport combiner</a>, Juha Nurmi on the <a href="https://lists.torproject.org/pipermail/tor-reports/2014-July/000594.html" rel="nofollow">ahmia.fi project</a>, Marc Juarez on <a href="https://lists.torproject.org/pipermail/tor-reports/2014-July/000595.html" rel="nofollow">website fingerprinting defenses</a>, and Daniel Martí on <a href="https://lists.torproject.org/pipermail/tor-dev/2014-July/007163.html" rel="nofollow">incremental updates to consensus documents</a>.</p>

<p>Tim Retout <a href="http://retout.co.uk/blog/2014/07/21/apt-transport-tor" rel="nofollow">announced</a> that <a href="https://tracker.debian.org/pkg/apt-transport-tor" rel="nofollow">apt-transport-tor</a> 0.2.1 has entered Debian unstable. This package enables APT to download Debian packages through Tor. </p>

<p><a href="https://atlas.torproject.org/" rel="nofollow">Atlas</a> can now also be used to search for Tor bridges. In the past, Atlas was only able to search for relays. This was made possible thanks to <a href="https://bugs.torproject.org/6320" rel="nofollow">a patch</a> developed by Dmitry Eremin-Solenikov.</p>

<p>Thanks to <a href="https://lists.torproject.org/pipermail/tor-mirrors/2014-July/000642.html" rel="nofollow">Tim Semeijn</a> and <a href="https://lists.torproject.org/pipermail/tor-mirrors/2014-July/000646.html" rel="nofollow">Tobias Bauer</a> for setting up new mirrors of the Tor Project’s website and its software.</p>

<h1>Tor help desk roundup</h1>

<p>Some Linux users have experienced missing dependency errors when trying to install Tor Browser from their operating system’s software repositories. Tor Browser should only be installed from the Tor Project’s website, and never from a software repository. In other words, using apt-get or yum to install Tor Browser is discouraged. Downloading and verifying Tor Browser from the Tor Project website allows users to keep up with important security updates as they are released.</p>

<h1>News from Tor StackExchange</h1>

<p>user3224 wants to log in to its Google, Microsoft etc. accounts and wonders <a href="https://tor.stackexchange.com/q/3603/88" rel="nofollow">if they will know the real name and other personal information</a>. Roya and mirimir explained that if someone logs into an already personalized account Tor can’t anonymize this user. Instead it might be wise to use Tor to register a pseudonym and also use an anonymous operating system like Tails or Whonix.</p>

<p>escapologybb has set up a Raspberry Pi. It serves as SOCKS proxy for the internal network. While everyone can use it, escapologybb asks what the security implications are and <a href="https://tor.stackexchange.com/q/3596/88" rel="nofollow">if this lowers the overall anonymity</a>. If you know a good answer please share your knowledge with the users of Tor StackExchange.</p>

<p>This issue of Tor Weekly News has been assembled by Lunar, Steven Murdoch, harmony, Philipp Winter, Matt Pagan, qbi, and Karsten Loesing.</p>

<p>Want to continue reading TWN? Please help us create this newsletter. We still need more volunteers to watch the Tor community and report important news. Please see the <a href="https://trac.torproject.org/projects/tor/wiki/TorWeeklyNews" rel="nofollow">project page</a>, write down your name and subscribe to the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/news-team" rel="nofollow">team mailing list</a> if you want to get involved!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Comments are closed.</p>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
